/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: AGENT
 * Classe:  CMember
\******************************************************************************/

package AGENT;


import java.io.*;
import java.util.*;


public class    CMember
    extends     CAgent
{
    protected String    mLogin;
    protected String    mPassword;

    public CMember()
    {
        super();
        mLogin = "";
        mPassword = "";
    }

    public void     SetLogin ( String log )     { mLogin = log; }
    public String   GetLogin ()                 { return mLogin; }

    public void     SetPassword     ( String pass ) { mPassword = pass; }
    public boolean  CheckPassword   ( String pass ) { return mPassword.equals(pass); }


    //** DEBUG
    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "DEBUG: CMember");
        pStr.println( "       Login:     " + mLogin );
        pStr.println( "       Password:  " + mPassword );
        super.DEBUG_write( pStr );
    }

}
