/**
 * UFRGS - II - PPGC - MESTRADO EM CIENCIA DA COMPUTACAO
 * AUTOR LUIZ ANGELO BARCHET ESTEFANEL
 * CLASSE Scroller
 * PACOTE BW.UML.ClickBar
 * DATA DE CRIACAO 16 / 01 / 2001
 */

package BW.UML.ClickBar;

import java.awt.*;
import java.awt.event.*;
import java.util.Vector;


/**
 * classe Scroller Panel que exibe um grafico de barras clicavel
 * @author Luiz Angelo Barchet Estefanel
 * @version 1.0
 */

  public class Scroller extends ScrollPane {

    private Chart2 ch2;
    
    /** Construtor
     *  @param Dimension dim dimensoes do ScrollPane
     *  @param Vector dados Vetor com os dados referentes ao grafico de barras
	  */
	  
    public Scroller(Dimension dim,Vector dados) {
	  this.setSize(dim);
	  ch2 = new Chart2(dados,"Total Events","horizontal",dim.width-25,dim.height-25);
	  add(ch2);
	  setSize(ch2.getPreferredSize());
	  
	  repaint();

	  this.setVisible(true);
    }   


	 /** permite atualizar os dados do grafico de barras
	  *  @param Vector dados Vetor com os dados referentes ao grafico de barras
	  */
    public void setObjects (Vector dados)
    {
        ch2.setObjects(dados);
    } 
}