/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: COPSE.CLIENT
 * Classe:  CClientManagerEventHandler
\******************************************************************************/

package COPSE.CLIENT;

import java.io.*;
import java.util.*;
import java.net.*;


import COPSE.*;
//import FILE.*;


public class CClientManagerEventHandler
    extends CClientEventHandler
{
    protected   CClientEventHandler     pClientEventHandler;

    public CClientManagerEventHandler( CClientManager client, CClientEventHandler handler )
    {
        super( client );

        pClientEventHandler = handler;
    }

    public CClientEventHandler  GetEventHandler()   { return pClientEventHandler; }


    protected void ProcessEvent( CEvent event )
    {

        switch( event.GetType() )
        {
            //case CEvent.EvCOPSE_Connection_Open: ???
                // Notify the manager about the new connection ??

            default:
                break;
        }

        // Passes the event to ClientEventHandler ...
        pClientEventHandler.AddEvent( event );
    }

}