/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: COPSE.CLIENT
 * Classe:  CDlgCommunicationChat
\******************************************************************************/

package COPSE.CLIENT.GUI;

import  java.awt.*;
import  java.awt.event.*;



public class    CDlgMessage
    extends     Dialog
    implements  ActionListener, WindowListener
{
	TextArea txtMessage;
	Button btnOk;

	public CDlgMessage(Frame parent, boolean modal)
	{
	    super(parent, modal);

		//{{INIT_CONTROLS
		setLayout(new BorderLayout(0,0));
		addNotify();
		setSize(getInsets().left + getInsets().right + 300,getInsets().top + getInsets().bottom + 100);

		//setBackground(new Color(12632256));

		Panel panel = new Panel();
		panel.setLayout(new BorderLayout(0,0));
		panel.setBounds(getInsets().left + 7,getInsets().top + 8,300,186);
		add("Center", panel);

	    Label lblMessage;
		lblMessage = new Label("Message:");
		lblMessage.setBounds(28,22,77,23);
		panel.add("North", lblMessage);

		txtMessage = new TextArea();
		txtMessage.setEditable(false);
		//txtMessage.setEnabled(false);
		txtMessage.setBounds(14,45,380,120);
		panel.add("Center", txtMessage);


		panel = new Panel();
		panel.setLayout(new FlowLayout());
		panel.setBounds(getInsets().left + 7,getInsets().top + 203,300,50);
		add("South", panel);

		btnOk = new Button("Ok");
		btnOk.setSize(btnOk.getPreferredSize());
		//btnOk.setLocation(119, 30);
		btnOk.addActionListener( this );
		panel.add("Center", btnOk);


		setTitle("");
		addWindowListener( this );

    	Rectangle bounds = getParent().getBounds();
    	Rectangle abounds = getBounds();

    	setLocation(bounds.x + (bounds.width - abounds.width)/ 2,
    	     bounds.y + (bounds.height - abounds.height)/2);

		//}}
	}


	public CDlgMessage(Frame parent, String title, boolean modal)
	{
	    this(parent, modal);
	    setTitle(title);
	}


/*
    public synchronized void setVisible( boolean visible )
    {
        if( visible )
        {
        	Rectangle bounds = getParent().getBounds();
        	Rectangle abounds = getBounds();

        	setLocation(bounds.x + (bounds.width - abounds.width)/ 2,
        	     bounds.y + (bounds.height - abounds.height)/2);
        }

    	super.setVisible( visible );
    }
*/


    // WindowEvent Listener methods
    public void windowOpened(WindowEvent e)         {}
    public void windowClosed(WindowEvent e)         {}
    public void windowClosing(WindowEvent e)        { _Close(); }
    public void windowIconified(WindowEvent e)      { _Close(); }
    public void windowDeiconified(WindowEvent e)    {}
    public void windowActivated(WindowEvent e)      {}
    public void windowDeactivated(WindowEvent e)    {}

    // ActionEvent Listener method
    public void actionPerformed( ActionEvent event )
    {
        Object source = event.getSource();

	    if(source == btnOk)
	        _Close();
	}

    private void _Close()
    {
        setVisible(false);
        //txtMessage.setText("");
        dispose();
    }




    public void AddMessage( String text )
    {
        txtMessage.append( text );
        txtMessage.validate();
    }


}
