/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * package: COPSE
 * Classe:  CUserSession
\******************************************************************************/

package COPSE;

import java.io.*;
import java.util.*;
import java.awt.Color;


public class CUserSession
    implements Serializable
{
    protected int           mUserId;
    protected int           mConnId;
    protected String        mUserName;

    protected CToolSession  pToolSession;

    // protected CAwarenessInfo

    public CUserSession( int userId, int connId )
    {
        mUserId = userId;
        mConnId = connId;

        pToolSession = null;
        // ...
    }

    public void SetUserName( String name )  { mUserName = name; }
    public String GetUserName()             { return mUserName; }

    public int GetUserId()      { return mUserId; }

    public int GetConnectionId()  { return mConnId; }


    public void SetToolSession  ( CToolSession toolSession )
    {
        pToolSession = toolSession;
    }

    public CToolSession GetToolSession()
    {
        return pToolSession;
    }

    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "  CUserSession: [uId: "+mUserId+" |cId:"+mConnId+"|name:"+mUserName+"]" );
    }

	public Color getUserColor()
    {
        // temporary
    	return getUserColor( mConnId ); //mUserId );
    }

    // temporary
    public static Color getUserColor( int userId )
    {
    	switch( userId % 8 )
        {
        	case 0:
                return Color.blue;
            case 1:
                return Color.cyan;
            case 2:
                return Color.green;
            case 3:
                return Color.magenta;
            case 4:
                return Color.orange;
            case 5:
                return Color.pink;
            case 6:
                return Color.red;
            default: //case 7:
                return Color.yellow;
        }
    }
}
