/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: FILE
 * Classe:  CLocator
\******************************************************************************/

package FILE;

import java.io.*;
import java.util.*;


public class CLocator
    implements Serializable
{
    //** Attributes
    protected int           mDocId;
    protected int           mVerId;
    protected int           mElementId;

    //** Constructor
    public CLocator()
    {
        this(0,0,0);
    }

    public CLocator( int doc, int ver, int elem )
    {
        mDocId  = doc;
        mVerId  = ver;
        mElementId = elem;
    }

    //** Methods to handle Attributes
    public void     SetDocId( int id )              { mDocId = id; }
    public int      GetDocId()                      { return mDocId; }

    public void     SetVersionId( int id )          { mVerId = id; }
    public int      GetVersionId()                  { return mVerId; }

    public void     SetElementId( int id )          { mElementId = id; }
    public int      GetElementId()                  { return mElementId; }


    //** DEBUG
    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "DEBUG: CLocator");
        pStr.println( "       DocId:        " + mDocId );
        pStr.println( "       VersionId:    " + mVerId );
        pStr.println( "       ElementId:    " + mElementId );
    }

}
