/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: PROCESS
 * Classe:  CMetaProcess
\******************************************************************************/

package PROCESS;

import java.io.*;
import java.util.*;

import FILE.CElement;

import PROCESS.MODEL.*;




public class CMetaProcess
    extends CAbstractProcess
{

    public CMetaProcess()
    {
        super();
    }

    // Setup activities
    public void   SetupActivities()
    {
        CModelHeader mHeader = GetModelHeader();
        CSubModel subModel = mHeader.GetSubModel();

        pTopActivity = new CMetaActivity();
        pTopActivity.SetProcess( this );
        pTopActivity.SetName( mHeader.GetName() );
        pTopActivity.SetSubActivities( subModel );
    }


}


