

    import java.awt.*;
//    import java.applet.*;
    import java.awt.event.*;

    class WindowControl extends WindowAdapter // implements WindowListener
    {

        public void windowClosing(WindowEvent e)
        {
            Window win = e.getWindow();
            win.dispose();
            System.exit(0);
        }
    }


    public class PopupMenuTest extends Frame implements ActionListener {


        class MouseControl extends MouseAdapter
        {
            PopupMenu popup;

            public MouseControl( PopupMenu pop )
            {
                popup = pop;
            }

            public void mousePressed(MouseEvent e)
            {
                if( e.isPopupTrigger())
                    popup.show(e.getComponent(), e.getX(), e.getY());
            }
        }



        PopupMenu popup;

        public static void main (String[] args)
        {
            (new PopupMenuTest()).show();
        }

        //public void init() {
        public PopupMenuTest()
        {
            super();


            MenuItem mi;

            popup = new PopupMenu("Edit");

            mi = new MenuItem("Cut");
            mi.addActionListener(this);
            popup.add(mi);

            mi = new MenuItem("Copy");
            mi.addActionListener(this);
            popup.add(mi);

            popup.addSeparator();

            mi = new MenuItem("Paste");
            mi.addActionListener(this);
            popup.add(mi);

            add(popup); // add popup menu to applet

            addWindowListener( new WindowControl() );
            addMouseListener( new MouseControl(popup) );
//            enableEvents(AWTEvent.MOUSE_EVENT_MASK);
//            enableEvents(AWTEvent.WINDOW_EVENT_MASK);

        }

/*
        public void processWindowEvent(WindowEvent e)
        {
            if (e.getID() == WindowEvent.WINDOW_CLOSING)
            {
                dispose();
                System.exit(0);
            }

            super.processWindowEvent(e);
        }
*/

        public void processMouseEvent(MouseEvent e) {

            if (e.isPopupTrigger()) {
                popup.show(e.getComponent(), e.getX(), e.getY());
            }
            super.processMouseEvent(e);
        }

        public void actionPerformed(ActionEvent e) {
            String command = e.getActionCommand();

            if (command.equals("Cut")) {
                // perform cut operation
            } else if (command.equals("Copy")) {
                // perform copy operation
            } else if (command.equals("Paste")) {
                // perform paste operation
            }
        }
    }
