/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: TOOL.UML
 * Classe:  CUMLGraphElement
\******************************************************************************/

package TOOL.UML;



import  FILE.*;
import  FILE.OBJ.*;

import  GRAPH.*;

import  COPSE.CONTROL.*;

/*************************************************************************
 *  Class CUMLGraphElement
 *************************************************************************/
public abstract class CUMLGraphElement
{
    protected   CVisualElementController   pElemController;


    public CUMLGraphElement ( CVisualElementController elemController )
    {
        pElemController = elemController;
    }

    public CVisualElementController GetElementController () { return pElemController; }


    public abstract void        Update();

    public abstract void        Draw( CGraphics g );

    public abstract boolean     Contains (int x, int y);

}

/*
    public abstract void Move ( int x, int y );

    public abstract void Translate( int x, int y );

    public abstract void SetRegiao( Rectangle rect );
*/