/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: COPSE.CONTROL
 * Classe:  CVisualFileController
\******************************************************************************/

package COPSE.CONTROL;

import java.io.*;
import java.util.*;

import FILE.*;


public class    CVisualFileController
    extends     CFileController
{
    public CVisualFileController( CFile file )
    {   super( file );   }

    protected CElementController    CreateElementController( CElement elem )
    {   return new CVisualElementController( elem );  }

    public void SetElementVisual ( int elemId, int visual )
    {
        CVisualElementController control = (CVisualElementController) FindElementController(elemId);
        if(control == null) return;

        control.SetVisual( visual );
    }

    public int GetElementVisual ( int elemId )
    {
        CVisualElementController control = (CVisualElementController) FindElementController(elemId);
        if(control == null) return 0;

        return control.GetVisual();
    }

}
