

import FILE.*;
import COPSE.*;


public class ToolRegister
{
    public static final void main( String [] args )
        throws Exception
    {
        new ToolRegister();
    }


    public ToolRegister()
        throws Exception
    {
        CreateRegistryFile("tools.copse");
        WriteRegistryFile("tools.copse" );
    }

    private void CreateRegistryFile( String filename )
        throws Exception
    {
        CFile file = new CFile( filename, "." );
        CToolRegistry reg;

        reg = new CToolRegistry();
        reg.SetName( "Process Modeller" );
        reg.SetCommand( "java ProcessModellerTool" );
        reg.SetDescription( "This tool allows the user to manage the "
            + "Process and the MetaProcesses of this COPSE Project" );
        file.AddElement( reg );


        reg = new CToolRegistry();
        reg.SetName( "Process Browser" );
        reg.SetCommand( "java ProcessBrowserTool" );
        reg.SetDescription( "This tool allows the user to browse the "
            + "Process and the MetaProcesses of this COPSE Project" );
        file.AddElement( reg );


        reg = new CToolRegistry();
        reg.SetName( "Class Diagram Editor" );
        reg.SetCommand( "java ClassDiagramEditorTool" );
        reg.SetDescription( "This tool allows the user to edit a "
            + "Class Diagram" );
        file.AddElement( reg );


        file.Save();
    }

    private void WriteRegistryFile( String filename )
        throws Exception
    {
        CFile file = CFile.Load( filename, "." );

        file.DEBUG_write( System.out );
    }

}
