/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: FILE
 * Classe:  CElement
\******************************************************************************/


package FILE;



import java.io.*;
import java.util.*;


public class CElement
    implements Serializable //, Cloneable
{
    //** Attributes
    protected int    mId;

    //** Constructor
    public CElement()               { mId = 0; }

    //** Methods to Attributes
    public void     SetId( int id )     { mId = id; }
    public int      GetId()             { return mId; }


    //** Clone
    public CElement Clone()
    {
        CElement elem = new CElement();
        elem.CopyFrom( this );
        return elem;
    }

    public void UpdateFrom( CElement elem )
    {   CopyFrom( elem ); }

    public void CopyFrom( CElement elem )
    {   mId = elem.GetId();  }


    //** DEBUG
    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "DEBUG: CElement");
        pStr.println( "       Id:           " + mId );
    }
}
