/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: FILE.OBJ
 * Classe:  CObjFeature
\******************************************************************************/

package FILE.OBJ;

import  FILE.*;


/*************************************************************************
 *  Class CObjFeature
 *************************************************************************/
public class    CObjFeature
    extends     CElement
{
    // attributes
    protected   String      mName;
    protected   String      mType;

    // Constructor
    public CObjFeature ()
    {
        super();

        // attributes
        mName = "";
        mType = "";
    }

    public CObjFeature (String name)
    {
        this();
        mName = name;
    }


    // Attributes
    public String   GetName ()                  { return mName; }
    public void     SetName (String name)       { mName = name; }

    public String   GetType ()                  { return mType; }
    public void     SetType (String type)       { mType = type; }


    //* Clone
    public CElement Clone()
    {
        CObjFeature feat = new CObjFeature();
        feat.CopyFrom( this );
        return feat;
    }

    public void CopyFrom( CElement elem )
    {
        if( !(elem instanceof CObjFeature) )
            return;

        super.CopyFrom( elem );

        CObjFeature feat = (CObjFeature) elem;
        SetName( feat.GetName() );
        SetType( feat.GetType() );
    }



}
