/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: PROCESS
 * Classe:  CProcess
\******************************************************************************/

package PROCESS;

import java.io.*;
import java.util.*;

//import FILE.CFile;
//import FILE.CElement;

import PROCESS.MODEL.*;

public class    CProcess
    extends CAbstractProcess
{
    private int     mFromMetaProcessId;

    public  CProcess()
    {
        super();
        mFromMetaProcessId = 0;
    }

    public  CProcess( String name, String path )
    {
        super(name, path);
        mFromMetaProcessId = 0;
    }


    // Setup activities
    public void   SetupActivities()
    {
        CModelHeader mHeader = GetModelHeader();
        CSubModel subModel = mHeader.GetSubModel();

        pTopActivity = new CActivity();
        pTopActivity.SetProcess( this );
        pTopActivity.SetName( mHeader.GetName() );
        pTopActivity.SetSubActivities( subModel );
    }


    //** DEBUG
    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "DEBUG: CProcess" );
        super.DEBUG_write( pStr );
    }


}


