/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: PROCESS
 * Classe:  CAbstractRole
\******************************************************************************/

package PROCESS2;

import java.io.*;
import java.util.*;

//import FILE.CFile;
import FILE.CElement;



public class    CAbstractRole
    extends     CElement
{
    protected String    mName;
    protected String    mDescription;

    protected CAbstractActivity pActivity;

//    protected Vector    pAccessDefs;

    public  CAbstractRole()
    {
        super();
        mName = "";
        mDescription = "";
        pActivity = null;

//        pAccessDefs = new Vector();
    }

    // Name
    public String       GetName ()                      { return mName; }
    public void         SetName (String name)           { mName = name; }

    // Description
    public String       GetDescription ()               { return mDescription; }
    public void         SetDescription (String desc)    { mDescription = desc; }

    // Activity
    public CAbstractActivity GetActivity ()             { return pActivity; }
    public void SetActivity (CAbstractActivity act)     { pActivity = act; }


    // Access Definitions
/*
    public void AddAccessDef (CAccessDef def)
    {
        pAccessDefs.addElement(def);
    }

    public void RemoveAccessDef (CAccessDef def)
    {
        pAccessDefs.removeElement(def);
    }

    public Enumeration  GetAccessDefs()     { return pAccessDefs.elements(); }
*/

    //** DEBUG
    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "DEBUG: CAbstractRole" );
        pStr.println( "       Name:      " + GetName() );

        if( pActivity != null )
            pStr.println( "       Activity:  " + pActivity.GetName() );
        else
            pStr.println( "       Activity:  null" );


        // AccessDefs

        super.DEBUG_write( pStr );
    }


}


